<?php

namespace Lc\ShopBundle\Context ;

interface GlobalParamInterface
{
        /**
         * Retourne le merchant courant en fonction du user ou du cookie du visitor
         *
         * @return MerchantInterface
         */
        public function getCurrentMerchant();


        /**
         * Retourne la tva par défaut du merchant courant
         *
         * @return TaxRateInterface
         */
        public function getCurrentMerchantTaxRate();
}
