<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\CreditConfigInterface;

/**
 * @method CreditConfigInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method CreditConfigInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method CreditConfigInterface[]    findAll()
 * @method CreditConfigInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CreditConfigRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return CreditConfigInterface::class;
        }
}
