<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\GroupUserInterface;
use Lc\ShopBundle\Context\UnitInterface;

/**
 * @method GroupUserInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method GroupUserInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method GroupUserInterface[]    findAll()
 * @method GroupUserInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class GroupUserRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return GroupUserInterface::class;
        }

}
