<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\OrderReductionCartInterface;
use Lc\ShopBundle\Context\OrderReductionCreditInterface;
use Lc\ShopBundle\Context\OrderStatusInterface;

/**
 * @method OrderReductionCartInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderReductionCartInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderReductionCartInterface[]    findAll()
 * @method OrderReductionCartInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderReductionCartRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return OrderReductionCartInterface::class;
        }



}
