<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\OrderReductionCreditInterface;
use Lc\ShopBundle\Context\OrderStatusInterface;

/**
 * @method OrderReductionCreditInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderReductionCreditInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderReductionCreditInterface[]    findAll()
 * @method OrderReductionCreditInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderReductionCreditRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return OrderReductionCreditInterface::class;
        }

}
