<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\OrderStatusHistoryInterface;

/**
 * @method OrderStatusHistoryInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderStatusHistoryInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderStatusHistoryInterface[]    findAll()
 * @method OrderStatusHistoryInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderStatusHistoryRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return OrderStatusHistoryInterface::class;
        }

}
