<?php

namespace Lc\ShopBundle\Repository;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\TicketInterface;
use Lc\ShopBundle\Context\TicketMessageInterface;
use Lc\ShopBundle\Repository\BaseRepository;

/**
 * @method TicketMessageInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method TicketMessageInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method TicketMessageInterface[]    findAll()
 * @method TicketMessageInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class TicketMessageRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return TicketMessageInterface::class;
        }
}