<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\PointSaleInterface;


/**
 * @method UserPointSaleInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method UserPointSaleInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method UserPointSaleInterface[]    findAll()
 * @method UserPointSaleInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class UserPointSaleRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return UserPointSaleInterface::class;
        }

}
