<?php

namespace Lc\ShopBundle\Controller\Frontend ;

use Doctrine\ORM\EntityManagerInterface;
use Lc\ShopBundle\Context\MerchantUtilsInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Security\Core\Security;

class BaseController extends AbstractController
{
        protected $em ;
        protected $merchantUtils ;
        protected $security ;

        public function __construct(EntityManagerInterface $em, Security $security, MerchantUtilsInterface $merchantUtils)
        {
                $this->em = $em ;
                $this->security = $security ;
                $this->merchantUtils = $merchantUtils ;
        }

}