<?php

namespace Lc\ShopBundle\Form\Frontend;

use App\Entity\Address;
use App\Entity\OrderShop;
use Doctrine\ORM\EntityManagerInterface;
use Lc\ShopBundle\Model\Ticket;
use Lc\ShopBundle\Services\UtilsManager;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Security\Core\Security;

class TicketMessageType extends AbstractType
{

        public function buildForm(FormBuilderInterface $builder, array $options)
        {
                $builder
                        ->add('message', TextareaType::class, [
                                'label' => 'field.Ticket.yourAnswer',
                                'translation_domain' => 'lcshop',
                        ])
                        ->add('closeTicket', CheckboxType::class, [
                                'label' => 'field.Ticket.closeTicket',
                                'translation_domain' => 'lcshop',
                                'required' => false,
                        ]);
        }

        public function configureOptions(OptionsResolver $resolver)
        {
                $resolver->setDefaults([
                        // Configure your form options here
                ]);
        }
}
