<?php

namespace Lc\ShopBundle\Repository;

use App\Entity\MerchantConfig;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;
use Doctrine\ORM\EntityManager;
use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\MerchantConfigInterface;
use Lc\ShopBundle\Repository\BaseRepository;
use Symfony\Component\Security\Core\Security;

/**
 * @method MerchantConfig|null find($id, $lockMode = null, $lockVersion = null)
 * @method MerchantConfig|null findOneBy(array $criteria, array $orderBy = null)
 * @method MerchantConfig[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class MerchantConfigRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return MerchantConfigInterface::class;
        }
}
