<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\OrderPaymentInterface;
use Lc\ShopBundle\Context\OrderStatusInterface;

/**
 * @method OrderPaymentInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderPaymentInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderPaymentInterface[]    findAll()
 * @method OrderPaymentInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderPaymentRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return OrderPaymentInterface::class;
        }

}
