<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\OrderStatusInterface;

/**
 * @method OrderStatusInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderStatusInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderStatusInterface[]    findAll()
 * @method OrderStatusInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderStatusRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return OrderStatusInterface::class;
        }

}
