<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\TaxRateInterface;

/**
 * @method TaxRateInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method TaxRateInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method TaxRateInterface[]    findAll()
 * @method TaxRateInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class TaxRateRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return TaxRateInterface::class;
        }

}
