<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\UnitInterface;

/**
 * @method UnitInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method UnitInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method UnitInterface[]    findAll()
 * @method UnitInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class UnitRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return UnitInterface::class;
        }

}
